lkml.org 
[lkml]   [2011]   [Jul]   [21]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
SubjectRe: [arch-general] Panic - no sound devices after upgrade
On 07/21/11 15:00, Tom Gundersen wrote:

Hi!

>>>>>> * The driver for my card (RME HDSP MADI, snd_hdpsm) is loaded.
>>>> [ 48.057757] HDSPM: unknown firmware revision cc

> firmware revision is 0xCC, which is not recognised. If your card is
> MADI, the kernel expects the firmware revision to be 0xD2 (or starting
> in 3.0, it also accepts 0xCF).

Exactly.

> I guess this can be fixed easily by adding your firmware revision to
> the list of accepted revs.

I hope so, too. Please try the attached patch.


JFTR: You need at least ALSA-1.0.24 userland (or the corresponding
hdspm.h respectively) for the new driver (2.6.39 and above). Likewise,
if you intend to use hdspmixer, you need the yet unreleased 1.0.24.2
version of alsa-tools, so go for the git version:

http://git.alsa-project.org/?p=alsa-tools.git


HTH
diff --git a/sound/pci/rme9652/hdspm.c b/sound/pci/rme9652/hdspm.c
index 7222151..18d3424 100644
--- a/sound/pci/rme9652/hdspm.c
+++ b/sound/pci/rme9652/hdspm.c
@@ -521,6 +521,7 @@ MODULE_SUPPORTED_DEVICE("{{RME HDSPM-MADI}}");
#define HDSPM_DMA_AREA_KILOBYTES (HDSPM_DMA_AREA_BYTES/1024)

/* revisions >= 230 indicate AES32 card */
+#define HDSPM_MADI_ANCIENT_REV 204
#define HDSPM_MADI_OLD_REV 207
#define HDSPM_MADI_REV 210
#define HDSPM_RAYDAT_REV 211
@@ -6484,6 +6485,7 @@ static int __devinit snd_hdspm_create(struct snd_card *card,
switch (hdspm->firmware_rev) {
case HDSPM_MADI_REV:
case HDSPM_MADI_OLD_REV:
+ case HDSPM_MADI_ANCIENT_REV:
hdspm->io_type = MADI;
hdspm->card_name = "RME MADI";
hdspm->midiPorts = 3;
\
 
 \ /
  Last update: 2011-07-21 16:11    [W:0.079 / U:1.276 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site